> For the complete documentation index, see [llms.txt](https://docs.truecaller.com/truecaller-for-business/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.truecaller.com/truecaller-for-business/verified-campaigns/api-webhook-documentation/exit-campaign-api/exit-api.md).

# Exit API

<mark style="color:green;">`POST`</mark>`https://enterprise-webhooks-noneu.truecaller.com/v2/campaigns/exit`

**Headers**

| Name        | Value                                                 |
| ----------- | ----------------------------------------------------- |
| X-Org-ID    | <p><code>Required</code></p><p>Organisation Id</p>    |
| X-Org-Token | <p><code>Required</code></p><p>Organisation Token</p> |

**Body**

```json
{
    "data": [
        {
            "campaign_id": "Sale123",
            "receiver_numbers": [
                "91**********"
            ]
        }
    ]
}
```

```json
{
    "data": [
        {
            "campaign_id": "Sale123",
            "receiver_numbers": [
                "cef02738f3229779cc5840c1a686771dfcd440dc7c7e177f95b5fe9c552b58b2"
            ]
        }
    ]
}
```

<table><thead><tr><th>Name</th><th>Type</th><th width="139.703125">Validations</th><th>Description</th></tr></thead><tbody><tr><td>data</td><td>array</td><td>min:1<br>max: 10</td><td>A collection of exit requests. <br>Each object in this array defines which users should be removed from which specific campaign.</td></tr><tr><td>campaign_id</td><td>string</td><td>min:1<br>max: 500</td><td>This can be taken from the self serve portal under the Campaigns tab</td></tr><tr><td>receiver_number</td><td>array</td><td>min:1<br>max: 1000</td><td><p>Receiver Number,</p><p>A list of phone numbers (with country codes, e.g., <code>91...</code>) that should be offboarded or "exited" from the associated campaign. Also we can pass the number in the SHA256 format.<br>It is best to pass the receiver numbers in same format that was used while linking/mapping it with campaigns.</p></td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="202 Accepted" %}

```json
{
    "message": "Payload received successfully for processing"
}
```

{% endtab %}

{% tab title="401 Unauthorized" %}

```json
{
    "slug": "authorization-error"
}
```

{% endtab %}

{% tab title="400 Bad Request" %}
{% code overflow="wrap" %}

```json
{
    "slug": "Cannot parse the request"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.truecaller.com/truecaller-for-business/verified-campaigns/api-webhook-documentation/exit-campaign-api/exit-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
